<?php

namespace Litepci\Company\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CompanyTransformer extends TransformerAbstract
{
    public function transform(\Litepci\Company\Models\Company $company)
    {
        return [
            'id'                => $company->getRouteKey(),
            'key'               => [
                'public'    => $company->getPublicKey(),
                'route'     => $company->getRouteKey(),
            ], 
            'id'                => $company->id,
            'reporting_to'      => $company->reporting_to,
            'name'              => $company->name,
            'email'             => $company->email,
            'password'          => $company->password,
            'user_type'         => $company->user_type,
            'upload_folder'     => $company->upload_folder,
            'deleted_at'        => $company->deleted_at,
            'created_at'        => $company->created_at,
            'updated_at'        => $company->updated_at,
            'url'               => [
                'public'    => trans_url('company/'.$company->getPublicKey()),
                'user'      => guard_url('company/company/'.$company->getRouteKey()),
            ], 
            'status'            => trans('app.'.$company->status),
            'created_at'        => format_date($company->created_at),
            'updated_at'        => format_date($company->updated_at),
        ];
    }
}